Subject: Re: bug#18156: Thread sorting before loose threads are gathered

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 26 Jan 2017 08:58:35 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Welsh Duggan <[email-masked]> writes:
>
>> Thread sorting happens before loose threads are gathered.  See the
>> definition of `gnus-summary-prepare'.  Threads are made, then cut, then
>> sorted, and then gathered.  I believe they should be made, cut,
>> gathered, and then sorted.  A consequence of the current order is that
>> using `gnus-thread-sort-by-most-recent-{number,date}' in the
>> `gnus-thread-sort-functions' will not pay attention to all messages in a
>> gathered thread.
>
> No, but you have `gnus-sort-gathered-threads-function' to sort inside
> the gathered threads, so I think the current algorithm is correct...

Correct or incorrect, it doesn't allow me to do what I want to do.  Here
is my use case:  I want to sort the threads in my summary buffer,
post-gathering, by the date of the most recent article in the thread.
If threads (not the articles in threads) are sorted before they are
gathered, this seems less than possible.

-- 
Michael Welsh Duggan
([email-masked])